bootstrap/

directory
Version: v1.0.0 Latest Latest
Warning

This package is not in the latest version of its module.

Go to latest
Published: Oct 6, 2021 License: Apache-2.0

Directories

Path Synopsis
api/v1alpha3
Package v1alpha3 contains the v1alpha3 API implementation.
Package v1alpha3 contains the v1alpha3 API implementation.
api/v1alpha4
Package v1alpha4 contains the v1alpha4 API implementation.
Package v1alpha4 contains the v1alpha4 API implementation.
api/v1beta1
Package v1beta1 contains API Schema definitions for the kubeadm v1beta1 API group +kubebuilder:object:generate=true +groupName=bootstrap.cluster.x-k8s.io
Package v1beta1 contains API Schema definitions for the kubeadm v1beta1 API group +kubebuilder:object:generate=true +groupName=bootstrap.cluster.x-k8s.io
controllers
Package controllers implements the Kubeadm controllers.
Package controllers implements the Kubeadm controllers.
types
Package utils contains Kubeadm utility types.
Package utils contains Kubeadm utility types.
types/upstreamv1beta1
Package upstreamv1beta1 contains a mirror of kubeadm API v1beta1 API, required because it is not possible to import k/K. IMPORTANT: Do not change these files! IMPORTANT: only for KubeadmConfig serialization/deserialization, and should not be used for other purposes.
Package upstreamv1beta1 contains a mirror of kubeadm API v1beta1 API, required because it is not possible to import k/K. IMPORTANT: Do not change these files! IMPORTANT: only for KubeadmConfig serialization/deserialization, and should not be used for other purposes.
types/upstreamv1beta2
Package upstreamv1beta2 contains a mirror of kubeadm API v1beta2 API, required because it is not possible to import k/K. IMPORTANT: Do not change these files! IMPORTANT: only for KubeadmConfig serialization/deserialization, and should not be used for other purposes.
Package upstreamv1beta2 contains a mirror of kubeadm API v1beta2 API, required because it is not possible to import k/K. IMPORTANT: Do not change these files! IMPORTANT: only for KubeadmConfig serialization/deserialization, and should not be used for other purposes.
types/upstreamv1beta3
Package upstreamv1beta3 contains a mirror of kubeadm API v1beta3 API, required because it is not possible to import k/K. IMPORTANT: Do not change these files! IMPORTANT: only for KubeadmConfig serialization/deserialization, and should not be used for other purposes.
Package upstreamv1beta3 contains a mirror of kubeadm API v1beta3 API, required because it is not possible to import k/K. IMPORTANT: Do not change these files! IMPORTANT: only for KubeadmConfig serialization/deserialization, and should not be used for other purposes.
Package util implements kubeadm utility functionality.
Package util implements kubeadm utility functionality.

Jump to

Keyboard shortcuts

? : This menu
/ : Search site
f or F : Jump to
y or Y : Canonical URL